# AI Aging Simulation

# Overview
AI aging generator utilizing generative AI model to generate a series of photos from youth to age from a single selfie image. With the help of AI technology, not only can it measure your current age, but it also lets you see yourself in the future or the past.

![AI Aging Generator](https://bcw-media.s3.ap-northeast-1.amazonaws.com/f42f1504_79e3_461c_a3f1_a254623d113b_b068736afb.jpg "AI Aging Generator")

The AI aging generator can generate a series of photos based on one single input selfie image. A sample generated photos are shown below as a quick reference of this feature.
![AI Aging Generator](https://bcw-media.s3.ap-northeast-1.amazonaws.com/U_2024_04_17_cr_12112b83e2.png "AI Aging Generator")


License: Privacy policy

## Servers

```
https://yce-api-01.makeupar.com
```

## Security

### BearerAuthenticationV2

Use the standard 'Bearer authentication'. Put your 'API Key' in header: `Authorization:Bearer YOUR_API_KEY`. Notice that there is ' ' a space between 'Bearer' and the 'YOUR_API_KEY'.

Type: http
Scheme: bearer

## Download OpenAPI description

[AI Aging Simulation](https://docs.perfectcorp.com/_bundle/reference/ai_aging_simulation.yaml)

## V1.0

### Create a new file.

 - [POST /s2s/v2.0/file/aging](https://docs.perfectcorp.com/reference/ai_aging_simulation/v1.0/paths/~1s2s~1v2.0~1file~1aging/post.md): To upload a new file, you'll first need to use the File API. It will give you a URL – use that URL to upload your file. Once the upload is finished, you can use the file_id from the same response to start using our AI features.

### Run a AI Aging Generator task.

 - [POST /s2s/v2.0/task/aging](https://docs.perfectcorp.com/reference/ai_aging_simulation/v1.0/paths/~1s2s~1v2.0~1task~1aging/post.md): This endpoint initiates the aging generation process. You must provide a source file (via URL or File ID). The task will be processed asynchronously, and you can check its status using the task_id returned in this response.

### Check the status of a AI Aging Generator task.

 - [GET /s2s/v2.0/task/aging/{task_id}](https://docs.perfectcorp.com/reference/ai_aging_simulation/v1.0/paths/~1s2s~1v2.0~1task~1aging~1%7Btask_id%7D/get.md)

